Subject: bug#37689: Fringe pixmaps, widgets, etc. look ridiculously tiny in hidpi screen

From: Robert Pluim <[email-masked]>
Date: Thu, 10 Oct 2019 15:47:11 +0200

>>>>> On Thu, 10 Oct 2019 10:37:37 -0300, Carlos Pita <[email-masked]> said:

    >> Is that a font scaling factor of 2 via the gnome-tweak-tool, or a 200%
    >> scale factor via the 'display' settings? I have the latter, and
    >> everything looks ok for me.

    Carlos> No font scaling factor, just the display scaling factor. Also, no
    Carlos> fractional scaling factor enabled.

Youʼre on a much more recent version of GTK than I am, so I suspect
that the way to query the display's scale factor has changed (again),
so weʼre not applying it.

Can you run emacs under gdb, put a breakpoint on 'xg_get_scale', and
see what it returns? (perhaps I should add an internal variable to
expose that, but I worry that people will abuse it).

Robert